/* ----------------------------------------------------------------------------
 *  Copyright (C) 1995-2002 by Karim Kaschani
 *
 *  This file is part of the function calculation package FuncCalc.
 *
 *  FuncCalc is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  FuncCalc is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * ------------------------------------------------------------------------- */

#include <sys/stat.h>
#include <sys/types.h>





/* ----------------------------------------------------------------------------
 * misc_utils.h - miscellaneous utilities header file
 * ------------------------------------------------------------------------- */

extern void	bsort(line *);
extern void	delaySigWinch();
extern line	*scanRcDir(char *, int *);
extern void	listDatasets(line *);
extern void	readDataset(char *, char *, char *, int, ...);
extern void	plotData(line *, int);
extern void	plot2Data(double *, double *, int, line *, int);
extern int	mkdirhier(char *, mode_t);
